---
title: Memory Layout
date: 2021-05-18T11:20:39+05:30
weight: 5
slug: memory-layout
chapter: Introduction
expertise: Proficient
---

Let us discuss what happens as soon as micro-controller is powered up.

## Memory model of micro-controller

content...

## Stack Pointer (SP)

content...

## Interrupt Vector Table (IVT)

asdfas

## Role of Linker Script

asdfas

## Startup up code

123424adsf

## Data, Stack & Heap

adsfas
